# GstNetTimeProvider

This object exposes the time of a GstClock on the network.

A GstNetTimeProvider is created with gst_net_time_provider_new which takes a GstClock, an address and a port number as arguments.

After creating the object, a client clock such as GstNetClientClock can query the exposed clock over the network for its values.

The GstNetTimeProvider typically wraps the clock used by a GstPipeline.

## GstNetTimeProvider

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstNetTimeProvider

Opaque GstNetTimeProvider structure.

### Members

`parent` (GstObject) –
No description available

### Class structure

#### GstNetTimeProviderClass

##### Fields

`parent_class` (GstObjectClass) –
No description available
`_gst_reserved` (gpointer *) –
No description available

### GstNet.NetTimeProviderClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available
`_gst_reserved` ([ Object ]) –
No description available

### GstNet.NetTimeProviderClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available
`_gst_reserved` ([ object ]) –
No description available

## GstNet.NetTimeProvider

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstNet.NetTimeProvider

Opaque GstNet.NetTimeProvider structure.

### Members

`parent` (Gst.Object) –
No description available

## GstNet.NetTimeProvider

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstNet.NetTimeProvider

Opaque GstNet.NetTimeProvider structure.

### Members

`parent` (Gst.Object) –
No description available

### Constructors

#### gst_net_time_provider_new

    GstNetTimeProvider *
    gst_net_time_provider_new (GstClock * clock,
                               const gchar * address,
                               gint port)

Allows network clients to get the current time of clock.

Parameters:

`clock` –

a GstClock to export over the network

`address` ( [allow-none]) –

an address to bind on as a dotted quad (xxx.xxx.xxx.xxx), IPv6 address, or NULL to bind to all addresses

`port` –

a port to bind on, or 0 to let the kernel choose

Returns ( [transfer: full][nullable]) –

the new GstNetTimeProvider, or NULL on error

#### GstNet.NetTimeProvider.prototype.new

    function GstNet.NetTimeProvider.prototype.new(clock: Gst.Clock, address: String, port: Number): {
        // javascript wrapper for 'gst_net_time_provider_new'
    }

Allows network clients to get the current time of clock.

Parameters:

`clock` (Gst.Clock) –

a Gst.Clock to export over the network

`address` (String) –

an address to bind on as a dotted quad (xxx.xxx.xxx.xxx), IPv6 address, or NULL to bind to all addresses

`port` (Number) –

a port to bind on, or 0 to let the kernel choose

Returns (GstNet.NetTimeProvider) –

the new GstNet.NetTimeProvider, or NULL on error

#### GstNet.NetTimeProvider.new

    def GstNet.NetTimeProvider.new (clock, address, port):
        #python wrapper for 'gst_net_time_provider_new'

Allows network clients to get the current time of clock.

Parameters:

`clock` (Gst.Clock) –

a Gst.Clock to export over the network

`address` (str) –

an address to bind on as a dotted quad (xxx.xxx.xxx.xxx), IPv6 address, or NULL to bind to all addresses

`port` (int) –

a port to bind on, or 0 to let the kernel choose

Returns (GstNet.NetTimeProvider) –

the new GstNet.NetTimeProvider, or NULL on error

### Properties

#### active

    “active” gboolean

Flags : Read / Write

#### active

    “active” Number

Flags : Read / Write

#### active

    “self.props.active” bool

Flags : Read / Write

#### address

    “address” gchar *

Flags : Read / Write / Construct Only

#### address

    “address” String

Flags : Read / Write / Construct Only

#### address

    “self.props.address” str

Flags : Read / Write / Construct Only

#### clock

    “clock” GstClock *

Flags : Read / Write / Construct Only

#### clock

    “clock” Gst.Clock

Flags : Read / Write / Construct Only

#### clock

    “self.props.clock” Gst.Clock

Flags : Read / Write / Construct Only

#### port

    “port” gint

Flags : Read / Write / Construct Only

#### port

    “port” Number

Flags : Read / Write / Construct Only

#### port

    “self.props.port” int

Flags : Read / Write / Construct Only

#### qos-dscp

    “qos-dscp” gint

Flags : Read / Write

#### qos-dscp

    “qos-dscp” Number

Flags : Read / Write

#### qos_dscp

    “self.props.qos_dscp” int

Flags : Read / Write

## Constants

### GST_TYPE_NET_TIME_PROVIDER

    #define GST_TYPE_NET_TIME_PROVIDER \
      (gst_net_time_provider_get_type())

The results of the search are